UI Kit Demo
DocsTip
Use DocsTip for helpful callouts inside guides or references.
DocsMarkdownContent
DocsMarkdownContent
Use Markdown content here to validate styles and link handling.
- Bullet one
- Bullet two
ContentModeSwitch
Responses sample
curl https://api.openai.com/v1/responses \
-H "Authorization: Bearer $OPENAI_API_KEY"CodeSample
Examples
javascript
1
2
3
4
5
6
const client = new OpenAI({ apiKey: process.env.OPENAI_API_KEY });
const response = await client.responses.create({
model: "gpt-4.1-mini",
input: "Say hello",
});Examples
javascript
1
2
3
4
5
6
const client = new OpenAI({ apiKey: process.env.OPENAI_API_KEY });
const response = await client.responses.create({
model: "gpt-4.1-mini",
input: "Say hello",
});hello
CodeSample
Examples
javascript
1
2
3
4
5
6
const client = new OpenAI({ apiKey: process.env.OPENAI_API_KEY });
const response = await client.responses.create({
model: "gpt-4.1-mini",
input: "Say hello",
});Examples
javascript
1
2
3
4
5
6
const client = new OpenAI({ apiKey: process.env.OPENAI_API_KEY });
const response = await client.responses.create({
model: "gpt-4.1-mini",
input: "Say hello",
});CodeComparison
Before
1
curl https://api.openai.com/v1/responsesAfter
1
curl https://api.openai.com/v1/responsesContentSwitcher
Node
Node SDK
1
2
3
import OpenAI from "openai";
const client = new OpenAI();Python
Python SDK
1
2
3
from openai import OpenAI
client = OpenAI()DeepDive
Deep dive
Why streaming matters
LatencyExample
Network
End user to API latency
Server
Time to process prompt tokens
Server
Time to sample/generate tokens
Network
API to end user latency
WaveformComponent
Expander
Expandable section
Image

Icon
IconItem
Realtime quickstart
Launch a realtime session and inspect events.














































